import React from 'react'
import { useRouteError } from "react-router-dom";
import useDocumentTitle from '../hooks/useDocumentTitle';
const NotFound = () => {
    const error = useRouteError();
  useDocumentTitle('Not Found');

    return (
    <div className='flex justify-center items-center h-screen'>
        <div className='w-[400px]'>
            <h1 className='text-red-700 w-full flex justify-center text-5xl'>404</h1>
        <p className='w-full flex justify-center'>
        {error.status} {error.message}
            </p>    
        </div>
        </div>
  )
}

export default NotFound